torqee Developers
Api reference/Transcripts

Get a session transcript

Returns all transcript segments for a session. Requires the torqee:transcripts:read scope.

GET
/api/v1/sessions/{id}/transcript
AuthorizationBearer <token>

OAuth 2.1 authorization code flow with PKCE. Audience must be the connect URL.

In: header

Scope: torqee:transcripts:read

Path Parameters

idstring

Response Body

curl -X GET "https://connect.torqee.app/api/v1/sessions/string/transcript"
fetch("https://connect.torqee.app/api/v1/sessions/string/transcript")
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://connect.torqee.app/api/v1/sessions/string/transcript"

  req, _ := http.NewRequest("GET", url, nil)
  
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://connect.torqee.app/api/v1/sessions/string/transcript"

response = requests.request("GET", url)

print(response.text)
{
  "sessionId": "string",
  "transcript": [
    {
      "id": "string",
      "sequence": 0,
      "timestampStart": 0,
      "timestampEnd": 0,
      "speakerLabel": "string",
      "text": "string",
      "confidence": 0,
      "createdAt": "string"
    }
  ]
}
{
  "error": "unauthorized"
}
{
  "error": "insufficient_scope"
}
{
  "error": "not_found"
}
{
  "error": "internal_server_error"
}